# Interface CacheItem

#### Hierarchy

- CacheItem

- Defined in src/editing/Snapping.js:850

#####
Index

### Properties

active
featureNS
featurePrefix
features
interaction
maxFeatures
requestDeferred
snappingConfig
stateWatcherUnregister
treeCtrl
wfsConfig

## Properties

### active

active: boolean

- Defined in src/editing/Snapping.js:851

### featureNS

featureNS: string

- Defined in src/editing/Snapping.js:852

### featurePrefix

featurePrefix: string

- Defined in src/editing/Snapping.js:853

### features

features: Collection<Feature<Geometry>>

- Defined in src/editing/Snapping.js:854

### interaction

interaction: Snap

- Defined in src/editing/Snapping.js:855

### maxFeatures

maxFeatures: number

- Defined in src/editing/Snapping.js:856

### requestDeferred

requestDeferred: IDeferred<unknown>

- Defined in src/editing/Snapping.js:857

### snappingConfig

snappingConfig: any

- Defined in src/editing/Snapping.js:858

### stateWatcherUnregister

stateWatcherUnregister: Function

- Defined in src/editing/Snapping.js:859

### treeCtrl

treeCtrl: LayertreeController

- Defined in src/editing/Snapping.js:860

### wfsConfig

wfsConfig: WFSConfig

- Defined in src/editing/Snapping.js:861

Generated using TypeDoc